# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-06-10 07:22
from __future__ import unicode_literals

import blog.models
from django.db import migrations, models
import django.db.models.deletion
import wagtail.wagtailcore.blocks
import wagtail.wagtailcore.fields
import wagtail.wagtailembeds.blocks
import wagtail.wagtailimages.blocks


class Migration(migrations.Migration):

    dependencies = [
        ('wagtailcore', '0033_remove_golive_expiry_help_text'),
        ('blog', '0008_auto_20170608_2356'),
    ]

    operations = [
        migrations.CreateModel(
            name='StaticPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('body', wagtail.wagtailcore.fields.StreamField([(b'h2', wagtail.wagtailcore.blocks.CharBlock(icon=b'title')), (b'h3', wagtail.wagtailcore.blocks.CharBlock(icon=b'title')), (b'paragraph', wagtail.wagtailcore.blocks.RichTextBlock(icon=b'pilcrow')), (b'image', wagtail.wagtailcore.blocks.StructBlock([(b'image', wagtail.wagtailimages.blocks.ImageChooserBlock()), (b'alignment', blog.models.ImageFormatBlock()), (b'caption', wagtail.wagtailcore.blocks.RichTextBlock(required=False))], icon=b'image', label='Aligned image')), (b'video', wagtail.wagtailcore.blocks.StructBlock([(b'video_link', wagtail.wagtailembeds.blocks.EmbedBlock())], icon=b'media', label='Embedded video')), (b'pullquote', wagtail.wagtailcore.blocks.StructBlock([(b'quote', wagtail.wagtailcore.blocks.TextBlock(label='Quote title')), (b'attribution', wagtail.wagtailcore.blocks.CharBlock())], icon=b'openquote', label='Quote')), (b'rawhtml', wagtail.wagtailcore.blocks.RawHTMLBlock(icon=b'media', label='Embed HTML'))])),
                ('header_image', models.TextField(max_length=600, null=True)),
            ],
            options={
                'verbose_name': 'Static page',
                'verbose_name_plural': 'Static pages',
            },
            bases=('wagtailcore.page',),
        ),
    ]
